Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.junit
Class Asserter

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--org.apache.commons.jexl.junit.Asserter

public class Asserter
extends junit.framework.Assert

A utility class for performing JUnit based assertions using Jexl expressions. This class can make it easier to do unit tests using Jexl navigation expressions.

Version:
  $Revision: 1.4 $

Constructor Summary
`Asserter()`
`Asserter(Object variableValue)` This constructor will register the given variableValue as the "this" variable.

Method Summary
`void` | `assertExpression(String expression, Object expected)` Performs an assertion that the value of the given Jexl expression evaluates to the given expected value
`void` | `setVariable(String name, Object value)` Puts a variable of a certain name in the context so that it can be used from assertion expressions.

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Asserter

    public Asserter()

### Asserter

    public Asserter(Object variableValue)

  This constructor will register the given variableValue as the "this" variable.
  Parameters:
    `variableValue` -

Method Detail

### assertExpression

    public void assertExpression(String expression,
                                 Object expected)
                          throws Exception

  Performs an assertion that the value of the given Jexl expression evaluates to the given expected value
  Parameters:
    `expression` - is the Jexl expression to evaluate
    `expected` - is the expected value of the expression
  Throws:
    `Exception` - if the expression could not be evaluationed or an assertion fails

### setVariable

    public void setVariable(String name,
                            Object value)

  Puts a variable of a certain name in the context so that it can be used from assertion expressions.
  Parameters:
    `name` -
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.